Bug 26161 - Confirm and cancel buttons should be underneath the right hand form on the POS page
Summary: Confirm and cancel buttons should be underneath the right hand form on the PO...
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on: 23354
Blocks: 13985
  Show dependency treegraph
 
Reported: 2020-08-06 12:40 UTC by Martin Renvoize
Modified: 2020-08-18 02:16 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03


Attachments
Bug 26161: Move actions under rhs fieldsets (1.58 KB, patch)
2020-08-06 14:24 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26161: Move actions under rhs fieldsets (1.65 KB, patch)
2020-08-10 15:27 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 26161: Move actions under rhs fieldsets (1.70 KB, patch)
2020-08-10 20:17 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2020-08-06 12:40:13 UTC
Currently the final submit buttons for the Point of Sale screen are left-aligned beneath the 'Items for purchase' part of the form.. they should be right-aligned and placed beneath the 'This sale' and 'Collect payment' form fieldsets instead.
Comment 1 Martin Renvoize 2020-08-06 14:24:57 UTC
Created attachment 107895 [details] [review]
Bug 26161: Move actions under rhs fieldsets

This patch moves the action buttons div to within the column div that
contains the 'This sale' and 'Collect payment' fieldsets.

Test plan
1/ Apply patch
2/ Navigate to the 'Point of sale' page (having enabled UseCashRegisters
and EnablePointOfSale)
3/ Confirm the 'Confirm' and 'Cancel' button/link now appear on the
correct side.
4/ Signoff
Comment 2 ByWater Sandboxes 2020-08-10 15:27:58 UTC
Created attachment 108008 [details] [review]
Bug 26161: Move actions under rhs fieldsets

This patch moves the action buttons div to within the column div that
contains the 'This sale' and 'Collect payment' fieldsets.

Test plan
1/ Apply patch
2/ Navigate to the 'Point of sale' page (having enabled UseCashRegisters
and EnablePointOfSale)
3/ Confirm the 'Confirm' and 'Cancel' button/link now appear on the
correct side.
4/ Signoff

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 3 Katrin Fischer 2020-08-10 20:17:31 UTC
Created attachment 108015 [details] [review]
Bug 26161: Move actions under rhs fieldsets

This patch moves the action buttons div to within the column div that
contains the 'This sale' and 'Collect payment' fieldsets.

Test plan
1/ Apply patch
2/ Navigate to the 'Point of sale' page (having enabled UseCashRegisters
and EnablePointOfSale)
3/ Confirm the 'Confirm' and 'Cancel' button/link now appear on the
correct side.
4/ Signoff

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-08-13 05:58:03 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-08-17 15:08:42 UTC
backported to 20.05.x for 20.05.03
Comment 6 Aleisha Amohia 2020-08-18 02:16:11 UTC
enhancement, not backported to 19.11.x